---
title: "Tag a customer"
locale: en
url: https://tlg.builera.app/en/docs/reference/rest/people.set_tags
verified: 2026-10-24
app_version: "2.0"
generated: true
---

# Tag a customer

Replace a person's tags (max 20).

Replace a person's tags (max 20).

## Overview

| Name | Value |
| --- | --- |
| Code | `people.set_tags` |
| Scope needed | `crm.write` |
| Risk | Write |
| May need confirmation | No |
| Runs as | Answers right away |
| Needs `Idempotency-Key` | No |
| Member roles allowed | `owner`, `manager`, `agent` |
| In the app | People → profile |

## Input fields

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `personId` | `uuid` | Yes |   |
| `tags` | `text[]` | Yes |   |

## Example request

```bash
curl -X POST https://tlg.builera.app/api/public/v2/ops/people.set_tags \
  -H "Authorization: Bearer $TELEGRAM_AUTO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"personId":"00000000-0000-0000-0000-000000000000","tags":[]}'
```

## Output fields (`data`)

| Field | Type | Required |
| --- | --- | --- |
| `ok` | `true` | Yes |

## Example answer

```json
{
  "data": {
    "ok": true
  }
}
```

## Using it over MCP

Tool `people_set_tags` is listed on the profiles: Discover (`prospecting`). On other profiles, find it with `tools_search` and run it with `tools_run`.
